## Für Queues existieren diverse Pakete, die man importieren kann.
# Ich habe in diesem Beispiel das Paket "rstackdeque" benutzt, da es Stacks als auch Queues realisiert.

# Erzeugung:
queue = rpqueue()
# Wir haben nun eine leere Queue erzeugt.
# Hinweis: rpqueue() erzeugt eine einfach verkettete Liste, wo das Einfügen nur am Ende der Queue funktioniert.
# Möchte man eine doppelt-verkettete Liste, sollte man rdeque() nutzen.

# Einfügen von Elementen:
> queue = rpqueue()
> queue <- insert_back(queue, "a")
> queue <- insert_back(queue, "b")
> queue <- insert_back(queue, "c")
> queue
A queue with  3  elements.
Front: 
 $: chr "a"
 $: chr "b"
 $: chr "c"
 
# Löschen von Elementen:
> queue <- without_front(queue)
> queue
A queue with  2  elements.
Front: 
 $: chr "b"
 $: chr "c"
 
# Das vorderste Element einer Queeue in eine Variable kopieren, aber nicht löschen:
> front <- peek_front(queue)
> queue
A queue with  2  elements.
Front: 
 $: chr "b"
 $: chr "c"
> front
[1] "b"
 
# Empty-Funktion, um zu prüfen, ob die Queue leer ist:
> empty(queue)
[1] FALSE
> queue <- without_front(queue)
> queue <- without_front(queue)
> empty(queue)
[1] TRUE

# Somit sind alle Operationen einer Queue mit diesem Paket abgebildet.