## Für Stacks existieren diverse Pakete, die man importieren kann.
# Ich habe in diesem Beispiel das Paket "rstackdeque" benutzt, da es Stacks als auch Queues realisiert.

# Erzeugung
stack <- rstack()
# Wir haben nun einen leeren Stack erzeugt.

# Einfügen von Elementen:
> stack <- insert_top(stack, 1)
> stack <- insert_top(stack, 2)
> stack <- insert_top(stack, "a")
> stack
An rstack with  3  elements. 
 : chr "a"
 : num 2
 : num 1
 
# Löschen von Elementen:
> stack <- without_top(stack)
> stack
An rstack with  2  elements. 
 : num 2
 : num 1
 
# Das oberste Element auf dem Stack in eine Variable kopieren, aber nicht löschen:
> top <- peek_top(stack)
> stack
An rstack with  2  elements. 
 : num 2
 : num 1
> top
[1] 2

# Empty-Funktion, um zu prüfen, ob der Stack leer ist:
> empty(stack)
[1] FALSE
> stack <- without_top(stack)
> stack <- without_top(stack)
> empty(stack)
[1] TRUE

# Somit sind alle Operationen eines Stacks mit diesem Paket abgebildet.